Get a list of Team Memberships for a user
GET /api
Also reachable at /api, /api, /api, /api, /api.
Lists all Teams a user is a member of, including any from external auth-provider security groups. Memberships are filtered by userId.
Path Parameters
spaceIdstring (required)
The ID of the space containing the resources.
Query Parameters
userIdstring (required)
ID of the user.
Response
200 — The requested Team Membership
ExternalSecurityGroupsarray of objectDisplayIdAndNamebooleanDisplayNamestringIdstring
IsDirectlyAssignedbooleanSpaceIdstringTeamIdstringTeamNamestringUserIdstring
Example Response
[
{
"ExternalSecurityGroups": [
{
"DisplayIdAndName": true,
"DisplayName": "string",
"Id": "string"
}
],
"IsDirectlyAssigned": true,
"SpaceId": "Spaces-1",
"TeamId": "string",
"TeamName": "string",
"UserId": "Users-1"
}
]Preview Users that would belong to the specified Team
POST /api
Also reachable at /api, /api.
Lists all the Users that would belong to the specified Team, including information about whether they are directly assigned and/or indirectly assigned via external security groups.
Path Parameters
spaceIdstring (required)
Request Body
DescriptionstringExternalSecurityGroupsarray of object (required)
The externally-managed security groups (e.g., Active Directory groups) who belong to the team.DisplayIdAndNamebooleanDisplayNamestringIdstring
IdstringMemberUserIdsarray of string (required)
The users who belong to the team.Namestring (required)
Gets or sets the name of this team. Minimum length 1.SlugstringSpaceIdstring
Response
200 — The requested Preview of Team Membership
ExternalSecurityGroupsarray of objectDisplayIdAndNamebooleanDisplayNamestringIdstring
IsDirectlyAssignedbooleanSpaceIdstringTeamIdstringTeamNamestringUserIdstring
Example Request
{
"Description": "string",
"ExternalSecurityGroups": [
{
"DisplayIdAndName": true,
"DisplayName": "string",
"Id": "string"
}
],
"Id": "Teams-1",
"MemberUserIds": [
"Users-1",
"..."
],
"Name": "string",
"Slug": "string",
"SpaceId": "Spaces-1"
}Example Response
[
{
"ExternalSecurityGroups": [
{
"DisplayIdAndName": true,
"DisplayName": "string",
"Id": "string"
}
],
"IsDirectlyAssigned": true,
"SpaceId": "Spaces-1",
"TeamId": "Teams-1",
"TeamName": "string",
"UserId": "Users-1"
}
]